Skip to main content
GET
List a campaign's recipients

Authorizations

Authorization
string
header
required

Your API key from the Wave dashboard. Sandbox keys start sk_sandbox_; production keys start sk_live_. Send as Authorization: Bearer <key>. Some endpoints require a production key and specific scopes.

Path Parameters

campaign_id
string<uuid>
required

Query Parameters

outcome
enum<string>
Available options:
answered,
voicemail,
no_answer,
busy,
failed,
skipped,
cancelled
cursor
string
limit
integer
Required range: 1 <= x <= 100

Response

A page of recipients

data
object[]
next_cursor
string | null
limit
integer